> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/subscribe

> Subscribe to one or more channels. The name of the channel determines what information will be provided, and in what form.

For a complete list of available subscription channels and their notification formats, see [Notifications and Subscriptions](https://docs.deribit.com/articles/notifications).

**Note - This method has distinct API rate limiting requirements:** Sustained rate: ~3.3 requests/second. For more information, see [Rate Limits](https://docs.deribit.com/articles/rate-limits).

**📖 Related Article:** [Market Data Collection Best Practices](https://docs.deribit.com/articles/market-data-collection-best-practices)

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fsubscribe)

**Scope:** `rat#view` or `wallet:user:read`




## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/subscribe
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /private/subscribe:
    get:
      tags:
        - Subscription Management
        - Private
        - WebSocket Only
      description: >
        Subscribe to one or more channels. The name of the channel determines
        what information will be provided, and in what form.


        For a complete list of available subscription channels and their
        notification formats, see [Notifications and
        Subscriptions](https://docs.deribit.com/articles/notifications).


        **Note - This method has distinct API rate limiting requirements:**
        Sustained rate: ~3.3 requests/second. For more information, see [Rate
        Limits](https://docs.deribit.com/articles/rate-limits).


        **📖 Related Article:** [Market Data Collection Best
        Practices](https://docs.deribit.com/articles/market-data-collection-best-practices)


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fsubscribe)


        **Scope:** `rat#view` or `wallet:user:read`
      parameters:
        - description: >-
            A list of channels to subscribe to. See [Notifications and
            Subscriptions](https://docs.deribit.com/articles/notifications) for
            all available channels.
          explode: true
          in: query
          name: channels
          required: true
          schema:
            example:
              - deribit_price_index.btc_usd
            items:
              example: deribit_price_index.btc_usd
              type: string
            type: array
          style: form
        - description: >-
            Optional label which will be added to notifications of private
            channels (max 16 characters).
          in: query
          name: label
          required: false
          schema:
            example: TestLabel1
            type: string
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 4235
                  jsonrpc: '2.0'
                  method: private/subscribe
                  params:
                    channels:
                      - deribit_price_index.btc_usd
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateSubscribeResponse'
        '401':
          $ref: '#/components/responses/ErrorMessageResponse'
components:
  responses:
    PrivateSubscribeResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 4235
                jsonrpc: '2.0'
                result:
                  - deribit_price_index.btc_usd
          schema:
            $ref: '#/components/schemas/PrivateSubscribeResponse'
      description: Success response
    ErrorMessageResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessageResponse'
      description: Success response
  schemas:
    PrivateSubscribeResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          description: A list of subscribed channels.
          items:
            example: deribit_price_index.btc_usd
            type: string
          type: array
      required:
        - jsonrpc
        - result
      type: object
    ErrorMessageResponse:
      properties:
        error:
          type: integer
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        message:
          type: string
      required:
        - jsonrpc
        - message
        - error
      type: object

````